Ogre::SDLGLSupport Class Reference

`#include <OgreSDLGLSupport.h>`

Inheritance diagram for Ogre::SDLGLSupport:
[legend]

List of all members.

## Public Member Functions

| SDLGLSupport ()
| ~SDLGLSupport ()
void | addConfig (void)
| Add any special config values to the system.
String | validateConfig (void)
| Make sure all the extra options are valid.
virtual RenderWindow * | createWindow (bool autoCreateWindow, GLRenderSystem *renderSystem, const String &windowTitle)
virtual RenderWindow * | newWindow (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)
void | start ()
| Start anything special.
void | stop ()
| Stop anything special.
void * | getProcAddress (const String &procname)
| Get the address of a function.
virtual void | setConfigOption (const String &name, const String &value)
virtual ConfigOptionMap & | getConfigOptions (void)
virtual bool | supportsPBuffers ()
virtual GLPBuffer * | createPBuffer (PixelComponentType format, size_t width, size_t height)
const String & | getGLVendor (void) const
| Get vendor information.
const String & | getGLVersion (void) const
| Get version information.
bool | checkMinGLVersion (const String &v) const
| Compare GL version numbers.
virtual bool | checkExtension (const String &ext) const
| Check if an extension is available.
virtual void | initialiseExtensions ()
| Initialises GL extensions, must be done AFTER the GL context has been established.
virtual unsigned int | getDisplayMonitorCount () const

## Protected Attributes

ConfigOptionMap | mOptions
set< String >::type | extensionList

## Private Attributes

SDL_Rect ** | mVideoModes

## Detailed Description

Definition at line 10 of file OgreSDLGLSupport.h.

## Constructor & Destructor Documentation

Ogre::SDLGLSupport::SDLGLSupport | ( |  | ) |

Ogre::SDLGLSupport::~SDLGLSupport | ( |  | ) |

## Member Function Documentation

void Ogre::SDLGLSupport::addConfig | ( | void |  | ) | `[virtual]`

Add any special config values to the system.

Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh

Implements Ogre::GLSupport.

virtual bool Ogre::GLSupport::checkExtension | ( | const String & | ext | ) | const`[virtual, inherited]`

Check if an extension is available.

Reimplemented in Ogre::GTKGLSupport.

bool Ogre::GLSupport::checkMinGLVersion | ( | const String & | v | ) | const`[inherited]`

Compare GL version numbers.

Reimplemented in Ogre::GTKGLSupport.

virtual GLPBuffer* Ogre::GLSupport::createPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  | `[virtual, inherited]`

Reimplemented in Ogre::Win32GLSupport, Ogre::OSXGLSupport, and Ogre::GLXGLSupport.

virtual RenderWindow* Ogre::SDLGLSupport::createWindow | ( | bool | autoCreateWindow,
|  | GLRenderSystem * | renderSystem,
|  | const String & | windowTitle
| ) |  | `[virtual]`

Implements Ogre::GLSupport.

virtual ConfigOptionMap& Ogre::GLSupport::getConfigOptions | ( | void |  | ) | `[virtual, inherited]`

virtual unsigned int Ogre::GLSupport::getDisplayMonitorCount | ( |  | ) | const`[virtual, inherited]`

Gets the number of display monitors.

See also:
  Root::getDisplayMonitorCount

Reimplemented in Ogre::Win32GLSupport.

Definition at line 118 of file OgreGLSupport.h.

const String& Ogre::GLSupport::getGLVendor | ( | void |  | ) | const`[inherited]`

Get vendor information.

Definition at line 85 of file OgreGLSupport.h.

const String& Ogre::GLSupport::getGLVersion | ( | void |  | ) | const`[inherited]`

Get version information.

Definition at line 93 of file OgreGLSupport.h.

void* Ogre::SDLGLSupport::getProcAddress | ( | const String & | procname | ) | `[virtual]`

Get the address of a function.

Implements Ogre::GLSupport.

virtual void Ogre::GLSupport::initialiseExtensions | ( |  | ) | `[virtual, inherited]`

Initialises GL extensions, must be done AFTER the GL context has been established.

Reimplemented in Ogre::Win32GLSupport, Ogre::GTKGLSupport, and Ogre::GLXGLSupport.

virtual RenderWindow* Ogre::SDLGLSupport::newWindow | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | bool | fullScreen,
|  | const NameValuePairList * | miscParams = `0`
| ) |  | `[virtual]`

Implements Ogre::GLSupport.

virtual void Ogre::GLSupport::setConfigOption | ( | const String & | name,
|  | const String & | value
| ) |  | `[virtual, inherited]`

Reimplemented in Ogre::Win32GLSupport, and Ogre::GLXGLSupport.

void Ogre::SDLGLSupport::start | ( |  | ) | `[virtual]`

Start anything special.

Implements Ogre::GLSupport.

void Ogre::SDLGLSupport::stop | ( |  | ) | `[virtual]`

Stop anything special.

Implements Ogre::GLSupport.

virtual bool Ogre::GLSupport::supportsPBuffers | ( |  | ) | `[virtual, inherited]`

Reimplemented in Ogre::Win32GLSupport, and Ogre::OSXGLSupport.

String Ogre::SDLGLSupport::validateConfig | ( | void |  | ) | `[virtual]`

Make sure all the extra options are valid.

Implements Ogre::GLSupport.

## Member Data Documentation

set<String>::type Ogre::GLSupport::extensionList`[protected, inherited]`

Definition at line 128 of file OgreGLSupport.h.

ConfigOptionMap Ogre::GLSupport::mOptions`[protected, inherited]`

Definition at line 125 of file OgreGLSupport.h.

SDL_Rect** Ogre::SDLGLSupport::mVideoModes`[private]`

Definition at line 48 of file OgreSDLGLSupport.h.

The documentation for this class was generated from the following file:

- OgreSDLGLSupport.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54